Sandbox: Trigger an event for an order
POST/orders/:id/actions/trigger_event
Trigger an orders webhook event for the order. This endpoint is only available in the sandbox environment and can be used to test your webhook processing.
Only the updated event can be triggered, because the other order events follow real state changes.
An updated event is only possible once an order reached the completed state.
The webhook is sent to every sandbox webhook subscription that includes the orders.updated event.
Request
Responses
- 204
- 400
- 404
- 500
The event was scheduled
Bad Request
Not Found
Internal Server Error
Error Codes
| HTTP Status | Class | Code | Description |
|---|---|---|---|
| 400 | invalid_request | invalid_body_parameters | Invalid body parameters with details in the fields attribute |
| 400 | invalid_state | order_not_completed | The order is not in a completed state, so no update event can be triggered |
| 404 | not_found | entity_not_found | Entity not found |